Subject: bug#49786: 28.0.50; [PATCH] package-install shouldn't change default-directory

From: dick <[email-masked]>
Date: Fri, 30 Jul 2021 21:27:02 -0400

Ah, my apologies.  The sole mention of `buffer-file-name` in `lisp-mnt.el`
describes a hack that seemed custom-made for skirting the carriage return
problem.

IK> Could you please elaborate a bit more what issue does this cause?

Now that the default-directory can change mid-stream in
`package-install-file`, I will have to amend something that relied on it being
constant.  It should be okay, particularly if bug#49788 gets merged.